%if 0%{?fedora}
%global with_python3 1
%endif

%global modname bitlyapi

Name:             python-%{modname}
Version:          0.1.1
Release:          14%{?dist}
Summary:          A thin python wrapper for the bit.ly REST API

Group:            Development/Languages
License:          BSD
URL:              http://pypi.python.org/pypi/%{modname}
Source0:          http://pypi.python.org/packages/source/b/%{modname}/%{modname}-%{version}.tar.gz
# https://github.com/hellp/bitlyapi/pull/2
Patch0:           python-bitlyapi-python3.patch

BuildArch:        noarch

BuildRequires:    python2-devel
BuildRequires:    python2-setuptools

%if 0%{?with_python3}
BuildRequires:    python3-devel
BuildRequires:    python3-setuptools
%endif

%description
This is a thin Python wrapper for the bit.ly API.  Basic usage looks
like this:

    >>> import bitlyapi
    >>> b = bitlyapi.BitLy(api_user, api_key)
    >>> res = b.shorten(longUrl='http://www.google.com/')
    >>> print(res['url'])
    'http://bit.ly/6Hwstb'
    >>> print(res['long_url'])
    'http://www.google.com/'

%package -n python2-bitlyapi
Summary:          A thin python wrapper for the bit.ly REST API
%{?python_provide:%python_provide python2-bitlyapi}
Requires:         python2

%description -n python2-bitlyapi
This is a thin Python wrapper for the bit.ly API.  Basic usage looks
like this:

    >>> import bitlyapi
    >>> b = bitlyapi.BitLy(api_user, api_key)
    >>> res = b.shorten(longUrl='http://www.google.com/')
    >>> print(res['url'])
    'http://bit.ly/6Hwstb'
    >>> print(res['long_url'])
    'http://www.google.com/'


%if 0%{?with_python3}
%package -n python3-bitlyapi
Summary:          A thin python wrapper for the bit.ly REST API
%{?python_provide:%python_provide python3-bitlyapi}
Requires:         python3

%description -n python3-bitlyapi
This is a thin Python wrapper for the bit.ly API.  Basic usage looks
like this:

    >>> import bitlyapi
    >>> b = bitlyapi.BitLy(api_user, api_key)
    >>> res = b.shorten(longUrl='http://www.google.com/')
    >>> print(res['url'])
    'http://bit.ly/6Hwstb'
    >>> print(res['long_url'])
    'http://www.google.com/'
%endif

%prep
%autosetup -p1 -n %{modname}-%{version}

# Remove the shebang
%{__awk} '{if (NR!=1) {print}}' bitlyapi/bitly.py > bitlyapi/bitly.py.new
%{__mv} bitlyapi/bitly.py.new bitlyapi/bitly.py

%build
%py2_build
%if 0%{?with_python3}
%py3_build
%endif

%install
%py2_install

%if 0%{?with_python3}
rm %{buildroot}%{_bindir}/*
%py3_install
%endif

%files -n python2-bitlyapi
%doc README.rst CHANGES.rst
%license LICENSE
%{python2_sitelib}/bitlyapi*

%if 0%{?with_python3}
%files -n python3-bitlyapi
%doc README.rst CHANGES.rst
%license LICENSE
%{_bindir}/bitly
%{python3_sitelib}/bitlyapi*
%endif

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Dec 19 2016 Miro Hrončok <mhroncok@redhat.com> - 0.1.1-13
- Rebuild for Python 3.6

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-12
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Jun 08 2016 Tomas Orsava <torsava@redhat.com> - 0.1.1-11
- Fix: always install the Python 3 executable.

* Tue Apr 05 2016 Ralph Bean <rbean@redhat.com> - 0.1.1-10
- Fix python3 shebang.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Nov 21 2015 Kalev Lember <klember@redhat.com> - 0.1.1-8
- Fix an unexpanded macro

* Sun Nov 15 2015 Ralph Bean <rbean@redhat.com> - 0.1.1-7
- Modernized python macros.
- Added python3 subpackage.
- Removed tests, since there are no tests.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Aug 27 2012 Ralph Bean <rbean@redhat.com> - 0.1.1-2
- Removed deprecated defattr
- Replaced hardcoded /usr/bin with %%{_bindir}
- Removed double "::" in the %%description.

* Sun Apr 22 2012 Ralph Bean <rbean@redhat.com> - 0.1.1-1
- initial package for Fedora
